TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

NormEquation ( elt-ord^rat d, elt-ord^rat m ) -> elt-alg^boo, elt-ord^rat, elt-ord^rat

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 3
Factorization | seq() |  |

### Description

<shortdoc> Return true and integers x and y if and only if a solution to x^2 + d*y^2 = m exists [d > 0, m >= 0]). </shortdoc>

### Examples

NormEquation(2,19);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack